{
    "path": "$OET_PATH/testcases/function_test/pkg_test/dpkg/dpkg",
    "machine num": 1,
    "cases": [
        {
            "name": "test_dpkg_dpkg_a",
            "desc": "测试 dpkg 的挂起配置命令"
        },
        {
            "name": "test_dpkg_dpkg_s",
            "desc": "测试 dpkg 的显示包状态命令"
        },
        {
            "name": "test_dpkg_dpkg_p",
            "desc": "测试 dpkg 的显示可用版本命令"
        },
        {
            "name": "test_dpkg_dpkg_upper_c",
            "desc": "测试 dpkg 的检查损坏包命令"
        },
        {
            "name": "test_dpkg_dpkg-query_l",
            "desc": "测试 dpkg-query 的 -l 参数，简洁列出包"
        },
        {
            "name": "test_dpkg_dpkg-realpath__zero",
            "desc": "测试 dpkg-realpath 命令的 --zero 参数"
        },
        {
            "name": "test_dpkg_dpkg-trigger__check_supported",
            "desc": "测试 dpkg-trigger 命令的 --check-supported 参数"
        },
        {
            "name": "test_dpkg_dpkg-trigger__admindir",
            "desc": "测试 dpkg-trigger 命令的 --admindir 参数"
        },
        {
            "name": "test_dpkg_dselect_remove",
            "desc": "测试dselect命令的remove子命令"
        },
        {
            "name": "test_dpkg_dpkg__upper_c",
            "desc": "测试 dpkg 的检查损坏包命令"
        },
        {
            "name": "test_dpkg_dpkg_i",
            "desc": "测试dpkg安装一个deb包"
        },
        {
            "name": "test_dpkg_dpkg_configure_a",
            "desc": "测试dpkg配置所有待配置的软件包"
        },
        {
            "name": "test_dpkg_dpkg_yet_to_unpack",
            "desc": "测试dpkg打印待解包的软件包列表"
        },
        {
            "name": "test_dpkg_dpkg_predep_package",
            "desc": "测试dpkg打印待处理的前置依赖包"
        },
        {
            "name": "test_dpkg_dpkg_add_architecture",
            "desc": "测试dpkg添加一个额外的架构支持"
        },
        {
            "name": "test_dpkg_dpkg_remove_architecture",
            "desc": "测试dpkg移除一个已添加的架构支持"
        },
        {
            "name": "test_dpkg_dpkg_print_architecture",
            "desc": "测试dpkg打印当前dpkg架构"
        },
        {
            "name": "test_dpkg_dpkg_assert_help",
            "desc": "测试dpkg显示断言功能的帮助信息"
        },
        {
            "name": "test_dpkg_dpkg_force_help",
            "desc": "测试dpkg显示强制选项的帮助信息"
        },
        {
            "name": "test_dpkg_dpkg-deb_ctrl_tarfile",
            "desc": "使用--ctrl-tarfile参数输出deb归档文件的控制信息tar文件"
        },
        {
            "name": "test_dpkg_dpkg-deb_help",
            "desc": "使用-?/--help参数显示帮助信息"
        },
        {
            "name": "test_dpkg_dpkg-divert_add",
            "desc": "测试dpkg-divert添加文件转移的基本功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_list",
            "desc": "测试dpkg-divert列出所有文件转移的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_listpackage",
            "desc": "测试dpkg-divert查询转移指定文件的包名的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_truename",
            "desc": "测试dpkg-divert获取文件转移后实际路径的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_add_with_no-rename",
            "desc": "测试dpkg-divert添加文件转移但不移动文件的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_remove_with_divert",
            "desc": "测试dpkg-divert移除文件转移并指定转移目标文件名的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_add_with_admindir",
            "desc": "测试dpkg-divert添加文件转移并指定管理目录的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_add_with_root",
            "desc": "测试dpkg-divert添加文件转移并指定根文件系统目录的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_with_test",
            "desc": "测试dpkg-divert模拟执行命令但不实际操作的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_with_quiet",
            "desc": "测试dpkg-divert以静默模式执行命令的功能。"
        },
        {
            "name": "test_dpkg_dpkg-divert_with_help",
            "desc": "测试dpkg-divert显示帮助信息的功能。"
        },
        {
            "name": "test_dpkg_dpkg-maintscript-helper__upper_version",
            "desc": "测试 --version 选项，验证其是否能正确显示版本信息"
        },
        {
            "name": "test_dpkg_dpkg-query_l_load_avail",
            "desc": "组合使用-l和--load-avail选项，在简洁列表时加载可用软件包信息。"
        },
        {
            "name": "test_dpkg_dpkg-realpath_no_option",
            "desc": "测试不带任何选项，仅提供路径名时 dpkg-realpath 命令的基本功能"
        },
        {
            "name": "test_dpkg_dpkg-realpath__help",
            "desc": "测试使用 --help 选项显示帮助信息"
        },
        {
            "name": "test_dpkg_dpkg-realpath__zero__root",
            "desc": "测试组合使用 --zero 与 --root 选项"
        },
        {
            "name": "test_dpkg_dpkg-split_l",
            "desc": "测试 dpkg-split 的 -l 命令，用于列出未匹配的部分文件。"
        },
        {
            "name": "test_dpkg_dpkg-split_help",
            "desc": "测试 dpkg-split 的 --help 选项，用于显示帮助信息。"
        },
        {
            "name": "test_dpkg_dpkg-split_admindir",
            "desc": "测试 dpkg-split 的 --admindir 选项，用于指定管理目录。"
        },
        {
            "name": "test_dpkg_dpkg-split_root",
            "desc": "测试 dpkg-split 的 --root 选项，用于指定根目录。"
        },
        {
            "name": "test_dpkg_dpkg-statoverride_remove",
            "desc": "测试从数据库中移除一个文件权限覆盖项"
        },
        {
            "name": "test_dpkg_dpkg-statoverride_add_admindir",
            "desc": "测试使用自定义管理目录添加一个新的文件权限覆盖项"
        },
        {
            "name": "test_dpkg_dpkg-statoverride_add_root",
            "desc": "测试设置根文件系统目录并添加一个新的文件权限覆盖项"
        },
        {
            "name": "test_dpkg_dselect_update",
            "desc": "测试dselect update命令"
        },
        {
            "name": "test_dpkg_dselect_select",
            "desc": "测试dselect select命令"
        },
        {
            "name": "test_dpkg_dselect_expert",
            "desc": "测试dselect --expert 专家模式"
        },
        {
            "name": "test_dpkg_function_configure",
            "desc": "测试dpkg配置所有未配置的软件包"
        }
    ]
}